#!/usr/local/bin/perl4

require "ctime.pl";

%perls = ('qlmv',
	  'Change the extension separator for all (or selected) files in a directory. All of two lines of perl :-)',
	  'filewalk',
	  'Traverse some or all of the file system, optionally performing some operation on some or all of the files.',
	  'html2txt.pl','Converts html to text',
	  'makeindex.pl','The script that builds this HTML page!',
	  'gdbmpl.zip',
	  'GDBM (GNU Database Manager) example',
	  'udppl.zip','TCP/IP examples using udp and perl',
	 'chelpers.zip','Some small \'C\' programs to provide some additional services that some of the perl examples use. Place the binaries on your PATH',
	  'pipef.zip', 'QFAX print filter to enable use of otherwise unsupported printers from QFAX/printfax. Example given for Epson GQ. Provides a new printfax executable supporting piping output to an arbitary command.');

print <<__EOD1;
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>
Perl4QDOS</title>
</head>
<body>
<h1> Perl4QDOS</h1>
<p>
<img src="../perllogo.gif"></p>
<div align=right>
Last modified: 
__EOD1

$time = time;
$ct = &ctime($time);
print $ct,"\n";

print <<__EOD2;
</div>
<hr>
<h1> Files</h1>
<p>

I thought I'd maintain some examples of using perl for moderately
useful things. If you have a perl script with a QDOS slant that you
think others might also find useful, then please forward it to me for
inclusion on this page.
<hr>
<DL>
__EOD2

foreach $f (keys %perls)
{
  if (@s = stat($f))
  {
    $ct = &ctime($s[9]);
    print "<DT><a href=\"",$f,"\"> ";
    print $f,'  ...  ',$s[7]," bytes, ", $ct;
    print "</a><DD>",$perls{$f},"\n";
  }
  
}

print <<__EOD3;
</DL>
<hr>
This page maintained by:
<address>
<a href="mailto:jrhudson@bigfoot.com">Jonathan Hudson</a></address>
</body>
</html>
__EOD3


