#!/usr/contrib/bin/perl -w

$AF_INET = 2;
$SOCK_DGRAM = 2;

$sock = 'sk00';
$rbits = "";
$buf = ''x256;

%serv =  (6010, "Port 10", 6011, "Port 11", 6012, "Port 12", 
	  6013, "Port 13", 6014, "Port 12", 6015, "Port 15",
	  6016, "Port 16", 6017, "Port 17");

sub showstatus
{
  ($dirn, $port, $len) = @_;
  print $dirn,"\t", int($port),":",$serv{$port},"\t",$len,"b\n";
}

$|=1;

foreach $port (sort keys %serv) 
{
  $that = pack('S n N x8', $AF_INET, $port, 0);
  socket($sock, $AF_INET, $SOCK_DGRAM, 0) || die "sock $port $!";
  bind($sock, $that) || die "bind $port $!";
  $old = select ($sock); $| = 1; select($old); 
  vec($rbits, fileno($sock), 1) = 1;
  $sock++;
}

while(1)
{
  $nfound = select($bits = $rbits, undef, undef, undef);
  if (!defined($nfound))  # Hmm, a strange error
  {
    last;
  }
  elsif ($nfound)         # A packet is waiting
  {
    for($i = 0; $i < 8; $i++)
    {
      if(vec($bits,fileno('sk0'.$i),1))
      {
	$from = recv('sk0'.$i, $buf, 8192,0);
	if(defined($from))
	{
	  $nl = length($buf);
	  $p = $i;
	  $p += 6010;
	  &showstatus("Recv", $p, $nl);
	}
	else
	{
	  vec($rbits,fileno('sk0'.$i),1) = 0;
	  close ('sk0'.$i);
	}
      }
    }
  }
}








